using Patterns_And_Principles.Patterns.The_State_Pattern.Script.Manager;
using UnityEngine;

namespace Patterns_And_Principles.Patterns.The_State_Pattern.Script.State
{
    public class AppleChewedState : AppleBaseState
    {
        public override void EnterState(AppleStateManager appleStateManager)
        {
            Debug.Log("Entered AppleChewedState");
        }

        public override void UpdateState(AppleStateManager appleStateManager)
        {
            
        }

        public override void OnCollisionEnter(AppleStateManager appleStateManager,  Collision collision)
        {
            
        }
    }
}